top_br
Efetuar login

Suporte Bitrix24

Erro: Desabilite o parâmetro PHP mbstring.func_overload

on-premise

Ao atualizar a versão On-premise do Bitrix24, você pode receber uma notificação:

Inglês: The mbstring.func_overload parameter has to be removed to update the system. Please fix the issue or contact your hosting provider's technical support.

Português: Para atualizar o produto, você deve remover a configuração do PHP mbstring.func_overload. Faça as alterações necessárias ou entre em contato com o suporte técnico de hospedagem.


O que isso significa

O parâmetro mbstring.func_overload se tornou obsoleto começando com a versão PHP 7.2.0 e não é recomendado para uso.

Devido a isso, paramos de suportar este parâmetro PHP nos produtos da Bitrix. O erro continuará aparecendo até que você remova este parâmetro do ambiente do seu servidor PHP.


Como resolver

Acesse a seção Tools > System Admnistration > PHP settings.

Encontre o parâmetro mbstring.func_overload nas configurações do PHP.

Se o valor do parâmetro não for igual a 0, você precisa remover este parâmetro na configuração do servidor PHP ou defini-lo para 0 (mbstring.func_overload = 0).

Para fazer isso, você precisa entrar em contato com seu provedor de hospedagem e solicitar a remover este parâmetro. Alternativamente, solicite uma instrução de como fazer isso sozinho.

Se você estiver usando uma máquina virtual BitrixVM, basta atualizá-la para a versão 7.4.4.

Isso ajudou Obrigado :) Isso não ajudou Desculpa :( Feedback
Você poderia nos dizer por que:
Não é o que estou procurando
É muito complicado